<?php

namespace App\Criteria\Orders;

use App\Models\User;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;
use DB;
/**
 * Class OrdersOfUserCriteria.
 *
 * @package namespace App\Criteria\Orders;
 */
class OrdersOfUserCriteria implements CriteriaInterface
{
    /**
     * @var User
     */
    private $userId;

    /**
     * OrdersOfUserCriteria constructor.
     */
    public function __construct($userId)
    {
        $this->userId = $userId;
    }

    /**
     * Apply criteria in query repository
     *
     * @param string $model
     * @param RepositoryInterface $repository
     *
     * @return mixed
     */
    public function apply($model, RepositoryInterface $repository)
    {
        $role=auth()->user(); 
        $role_id=$role->role_id; 
        $user_id=$role->id; 
        $results = DB::table('roles')->where('name','=',$role_id)->get();  
        if(count($results)>0){
            $role_type=$results[0]->role_type; 
        }
        //echo $role_type;
        $currentdate=isset($_GET['currentdate']) ? $_GET['currentdate'] : ''; 
        $type=isset($_GET['type']) ? $_GET['type'] : ''; 
        if($role_type=='admin'){
        if (auth()->user()->hasRole('admin')) {
            return $model;
        }
        }else if($role_type=='manager'){ 
        if (auth()->user()->hasRole('manager')) {
            return $model->join("sales_order_item", "sales_order.entity_id", "=", "sales_order_item.order_id")
                // ->join("products", "products.id", "=", "product_orders.product_id")
                // ->join("user_markets", "user_markets.market_id", "=", "products.market_id")
                // ->where('user_markets.user_id', $this->userId)
                ->groupBy('orders.id')
                ->select('orders.*');
        }
        }else if($role_type=='driver'){
        //echo "fgjfgj"; exit;    
        //if (auth()->user()->hasRole($role_id)) {
            if($currentdate=="today"){    
             $date=date("Y-m-d");    
             return $model->newQuery()->where('sales_order_item.driver_id', $this->userId)->whereIn('sales_order_item.order_status_id',array(3,4))->join('sales_order_item', 'sales_order_item.order_id', '=', 'sales_order.entity_id')
                ->groupBy('sales_order.entity_id')
                ->select('sales_order.entity_id as id','sales_order.customer_id as user_id','sales_order.shipping_address_id as delivery_address_id','sales_order.base_shipping_amount as delivery_fee','sales_order.tax_amount as tax','sales_order.driver_id','sales_order.coupon_code as coupon_code_value',DB::raw('Abs(sales_order.discount_amount) as coupon_redemed_amount'),DB::raw('IF(sales_order.coupon_code IS NULL or sales_order.coupon_code = "", 0, 1) AS coupon_code_active'),'sales_order.created_at','sales_order.updated_at','sales_order.checkout_comment','sales_order_item.order_status_id','sales_order.base_grand_total','sales_order.active','sales_order.customer_email','sales_order.customer_firstname','sales_order.customer_middlename','sales_order.customer_lastname','sales_order.order_details_block','sales_order.increment_id','sales_order_item.delivery_dates as delivery_date','sales_order.action_required','sales_order_item.delivery_from')->where('sales_order_item.delivery_dates','=',$date)->where('sales_order_item.driver_id','=',$user_id)->groupBy('sales_order_item.order_id')->orderBy("sales_order.entity_id","DESC"); 
            }else{
              return $model->newQuery()->where('sales_order_item.driver_id', $this->userId)->whereIn('sales_order_item.order_status_id',array(3,4))->join('sales_order_item', 'sales_order_item.order_id', '=', 'sales_order.entity_id')
                ->groupBy('sales_order.entity_id')
                ->select('sales_order.entity_id as id','sales_order.customer_id as user_id','sales_order.shipping_address_id as delivery_address_id','sales_order.base_shipping_amount as delivery_fee','sales_order.tax_amount as tax','sales_order.driver_id','sales_order.coupon_code as coupon_code_value',DB::raw('Abs(sales_order.discount_amount) as coupon_redemed_amount'),DB::raw('IF(sales_order.coupon_code IS NULL or sales_order.coupon_code = "", 0, 1) AS coupon_code_active'),'sales_order.created_at','sales_order.updated_at','sales_order.checkout_comment', 'sales_order_item.order_status_id','sales_order.base_grand_total','sales_order.active','sales_order.customer_email','sales_order.customer_firstname','sales_order.customer_middlename','sales_order.customer_lastname','sales_order.order_details_block','sales_order.increment_id','sales_order_item.delivery_dates as delivery_date','sales_order.action_required','sales_order_item.delivery_from')->where('sales_order_item.driver_id','=',$user_id)->groupBy('sales_order_item.order_id')->orderBy("sales_order.entity_id","DESC");    
            }
        //}   
         }else if($role_type=='picker'){            
        //if (auth()->user()->hasRole($role_id)) {
            if($currentdate=="today"){    
             $date=date("Y-m-d");    
             return $model->newQuery()->where('sales_order_item.picker_id', $this->userId)->whereIn('sales_order_item.order_status_id',array(1,2,6))->join('sales_order_item', 'sales_order_item.order_id', '=', 'sales_order.entity_id')
                ->groupBy('sales_order.entity_id')
                ->select('sales_order.entity_id as id','sales_order.customer_id as user_id','sales_order.shipping_address_id as delivery_address_id','sales_order.base_shipping_amount as delivery_fee','sales_order.tax_amount as tax','sales_order.driver_id','sales_order.coupon_code as coupon_code_value',DB::raw('Abs(sales_order.discount_amount) as coupon_redemed_amount'),DB::raw('IF(sales_order.coupon_code IS NULL or sales_order.coupon_code = "", 0, 1) AS coupon_code_active'),'sales_order.created_at','sales_order.updated_at','sales_order.checkout_comment','sales_order_item.order_status_id','sales_order.base_grand_total','sales_order.active','sales_order.customer_email','sales_order.customer_firstname','sales_order.customer_middlename','sales_order.customer_lastname','sales_order.order_details_block','sales_order.increment_id','sales_order_item.delivery_dates as delivery_date','sales_order.action_required','sales_order_item.delivery_from')->where('sales_order_item.delivery_dates','=',$date)->where('sales_order_item.picker_id','=',$user_id)->groupBy('sales_order_item.order_id')->orderBy("sales_order.entity_id","DESC"); 
            }else{
              return $model->newQuery()->where('sales_order_item.picker_id', $this->userId)->whereIn('sales_order_item.order_status_id',array(1,2,6))->join('sales_order_item', 'sales_order_item.order_id', '=', 'sales_order.entity_id')
                ->groupBy('sales_order.entity_id')
                ->select('sales_order.entity_id as id','sales_order.customer_id as user_id','sales_order.shipping_address_id as delivery_address_id','sales_order.base_shipping_amount as delivery_fee','sales_order.tax_amount as tax','sales_order.driver_id','sales_order.coupon_code as coupon_code_value',DB::raw('Abs(sales_order.discount_amount) as coupon_redemed_amount'),DB::raw('IF(sales_order.coupon_code IS NULL or sales_order.coupon_code = "", 0, 1) AS coupon_code_active'),'sales_order.created_at','sales_order.updated_at','sales_order.checkout_comment','sales_order_item.order_status_id','sales_order.base_grand_total','sales_order.active','sales_order.customer_email','sales_order.customer_firstname','sales_order.customer_middlename','sales_order.customer_lastname','sales_order.order_details_block','sales_order.increment_id','sales_order_item.delivery_dates as delivery_date','sales_order.action_required','sales_order_item.delivery_from')->where('sales_order_item.picker_id','=',$user_id)->groupBy('sales_order_item.order_id')->orderBy("sales_order.entity_id","DESC");    
            }
        //}    
        } else {
            return $model;
        }
        
        
    }
}
