<?php

namespace App\DataTables;

use App\ProductsavailableDataTable;
use Yajra\DataTables\Html\Button;
use Yajra\DataTables\Html\Column;
use Yajra\DataTables\Services\DataTable;
use Yajra\DataTables\Html\Editor\Fields;
use Yajra\DataTables\Html\Editor\Editor;
use DB;
use App\DataTables\ExportDataTable;

class ProductsavailableDataTable extends DataTable
{
    /**
     * Build DataTable class.
     *
     * @param mixed $query Results from query() method.
     * @return \Yajra\DataTables\DataTableAbstract
     */
    public function dataTable($query)
    {
        return datatables()
            ->eloquent($query)
            ->addColumn('action', 'productsavailabledatatable.action');
    }

    /**
     * Get query source of dataTable.
     *
     * @param \App\ProductsavailableDataTable $model
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function query(ProductsavailableDataTable $model)
    {
        return $model->newQuery()->with('catalog_product_entity')
                ->Join('catalog_product_entity_varchar','catalog_product_entity.entity_id','=','catalog_product_entity_varchar.entity_id')
                ->where('catalog_product_entity_varchar.attribute_id',73)
                ->groupBy('catalog_product_entity.entity_id')
                ->orderBy('catalog_product_entity.entity_id','ASC');
    }

    /**
     * Optional method if you want to use html builder.
     *
     * @return \Yajra\DataTables\Html\Builder
     */
    public function html()
    {
        return $this->builder()
                    ->setTableId('productsavailabledatatable-table')
                    ->columns($this->getColumns())
                    ->minifiedAjax()
                    ->dom('Bfrtip')
                    ->orderBy(1)
                    ->buttons(
                        Button::make('csv'),
                        Button::make('excel')
                    );
    }

    /**
     * Get columns.
     *
     * @return array
     */
    protected function getColumns()
    {
        return [
            Column::make('id'),
            Column::make('Item Barcode'),
            Column::make('Product Name'),
            Column::make('Item Number'),
            Column::make('Unit Code'),
            Column::make('Original Price'),
            Column::make('Final Price'),
            Column::make('Salable Quantity'),
        ];
    }

    /**
     * Get filename for export.
     *
     * @return string
     */
    protected function filename()
    {
        return 'Productsavailable_' . date('YmdHis');
    }
}
