<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use Prettus\Validator\Exceptions\ValidatorException;
use \stdClass;
use DB;

class CustomersController extends Controller
{
     public function index()
    {
            $perPage = 10;
            if(isset($_GET["search"]) && $_GET["search"] != ""){
                $search = trim($_GET["search"]);
                $productEntity = '';
                if(is_numeric($search) == true){
                    // $customerEntity = DB::statement("SELECT customer_entity.*, telephone FROM customer_entity LEFT JOIN customer_address_entity ON customer_address_entity.parent_id=customer_entity.entity_id WHERE customer_entity.entity_id LIKE '%554486301%' OR customer_address_entity.telephone LIKE '%554486301%' GROUP BY customer_entity.entity_id ORDER BY customer_entity.entity_id ASC")->get();
                    $customerEntity=DB::table('customer_entity')
                    ->leftJoin('customer_address_entity','customer_entity.entity_id','=','customer_address_entity.parent_id')
                    ->where('customer_entity.entity_id', 'LIKE',"%{$search}%")
                    ->orWhere('customer_address_entity.telephone','LIKE',"%{$search}%")
                    ->groupBy('customer_entity.entity_id')
                    ->orderBy('customer_entity.entity_id','ASC')
                    ->select('customer_entity.*')
                    ->paginate($perPage);
                    return view('customers/index', ['customersavailable' => $customerEntity, "perPage" => $perPage]);
                } else if(filter_var($search, FILTER_VALIDATE_EMAIL)) {
                    $customerEntity=DB::table('customer_entity')
                    ->where('customer_entity.email', 'LIKE', "%{$search}%")
                    ->groupBy('customer_entity.entity_id')
                    ->orderBy('customer_entity.entity_id','ASC')
                    ->paginate($perPage);
                    return view('customers/index', ['customersavailable' => $customerEntity, "perPage" => $perPage]);
                } else {
                     $strCount = substr_count($search, ' ');
                     if($strCount == 2){
                         $customerEntity=DB::table('customer_entity')
                         ->orWhereRaw("concat(customer_entity.firstname, ' ', customer_entity.middlename, ' ', customer_entity.lastname) like '%" . $search . "%' ")
                        ->groupBy('customer_entity.entity_id')
                        ->orderBy('customer_entity.entity_id','ASC')
                        ->paginate($perPage);
                        return view('customers/index', ['customersavailable' => $customerEntity, "perPage" => $perPage]);
                     } else {
                         $customerEntity=DB::table('customer_entity')
                         ->orWhereRaw("concat(customer_entity.firstname, ' ', customer_entity.lastname) like '%" . $search . "%' ")
                        ->groupBy('customer_entity.entity_id')
                        ->orderBy('customer_entity.entity_id','ASC')
                        ->paginate($perPage);
                        return view('customers/index', ['customersavailable' => $customerEntity, "perPage" => $perPage]);
                     }
                }
                
                return view('customers/index', ['customersavailable' => $productEntity, "perPage" => $perPage]);
            } else {
                $customerEntity=DB::table('customer_entity')
                ->orderBy('customer_entity.entity_id','ASC')
                ->paginate($perPage);
                return view('customers/index', ['customersavailable' => $customerEntity, "perPage" => $perPage]);
            }
    }
     public function edit($id)
    {
        // if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
        //     Flash::error('Permission denied');
        //     return redirect(route('customers.index'));
        // }
       
       $customerEntity=DB::table('customer_entity')
                    ->where('customer_entity.entity_id', '=',"$id")
                    ->first();
        return view('customers/edit', ['customersavailableedit' => $customerEntity]);
        
    }

    public function update($id,Request $request)
    {
        // if (env('APP_DEMO', false)) {
        //     Flash::warning('This is only demo app you can\'t change this section ');
        //     return redirect(route('users.profile'));
        // }
        // if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
        //     Flash::error('Permission denied');
        //     return redirect(route('users.profile'));
        // }
        try {
            $last_modified=date('Y-m-d H:i:s');
            if(isset($_POST["update_customer"])){
                 $sign_in_phone_number = isset($_POST["sign_in_phone_number"])? $_POST["sign_in_phone_number"] : '';
                 $firstname = isset($_POST["first_name"])? $_POST["first_name"] : '';
                 $middlename = isset($_POST["middle_name"])? $_POST["middle_name"] : '';
                 $lastname = isset($_POST["last_name"])? $_POST["last_name"] : '';
                 $email = isset($_POST["email"])? $_POST["email"] : ''; 
                 
                 $group = isset($_POST["group"])? $_POST["group"] : ''; 
                 
                 if(!empty($firstname) && !empty($lastname) && !empty($email) && !empty($group)){
                     $customersigninphone = DB::table('customer_entity_varchar')->where('entity_id',$id)->update(['value'=>$sign_in_phone_number]);
                     $customerdetails = DB::table('customer_entity')->where('entity_id',$id)->update(['firstname'=>$firstname, 'middlename'=>$middlename, 'lastname'=>$lastname, 'email'=>$email, 'group_id'=>$group]);
                 } else {
                     Flash::error('Required Fields Must.');
                     return redirect()->back();
                 }
            }
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('updated successfully.');

        return redirect()->back();

    }
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    public function paginate($items, $perPage, $page = null, $options = [])
    {
        $page = $page ?: (Paginator::resolveCurrentPage() ?: 1);
        $items = $items instanceof Collection ? $items : Collection::make($items);
        $pagePath = "";
        $url = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
        if(isset($_GET["search"])){
           $fullUrl = $url."?search=".$_GET["search"]."";
           $pagePath = ['path' => $fullUrl];
        } else {
            $pagePath = ['path' => $url];
        }
        return new LengthAwarePaginator($items->forPage($page, $perPage), $items->count(), $perPage, $page, $pagePath, $options);
    }
    
    public function addressedit(){
        // if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
        //     Flash::error('Permission denied');
        //     return redirect(route('customers.index'));
        // }
       $customer_id = isset($_GET["customer_id"])? $_GET["customer_id"] : '';
       $customerEntity=DB::table('customer_address_entity')
                    ->where('customer_address_entity.parent_id', '=',"$customer_id")
                    ->get();
        return view('customers/addressedit', ['customersavailableedit' => $customerEntity, 'customer_id'=>$customer_id]);
    }
    public function addressupdate(){
        // if (env('APP_DEMO', false)) {
        //     Flash::warning('This is only demo app you can\'t change this section ');
        //     return redirect(route('users.profile'));
        // }
        // if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
        //     Flash::error('Permission denied');
        //     return redirect(route('users.profile'));
        // }
        try {
            $last_modified=date('Y-m-d H:i:s');
            if(isset($_GET["updateAddress"])){
                 $firstname = isset($_GET["first_name"])? $_GET["first_name"] : '';
                 $lastname = isset($_GET["last_name"])? $_GET["last_name"] : '';
                 $street = isset($_GET["street"])? $_GET["street"] : '';
                 $city = isset($_GET["city"])? $_GET["city"] : '';
                 $state = isset($_GET["state"])? $_GET["state"] : '';
                 $zip = isset($_GET["zip"])? $_GET["zip"] : ''; 
                 $phone = isset($_GET["phone"])? $_GET["phone"] : ''; 
                 $building_no = isset($_GET["building_no"])? $_GET["building_no"] : ''; 
                 $flat_no = isset($_GET["flat_no"])? $_GET["flat_no"] : ''; 
                 $landmark = isset($_GET["landmark"])? $_GET["landmark"] : ''; 
                 $addressId = isset($_GET["addressId"])? $_GET["addressId"] : '';
                 $customer_id = isset($_GET["customer_id"])? $_GET["customer_id"] : '';
                 
                 if(!empty($firstname) && !empty($lastname) && !empty($street) && !empty($city) && !empty($phone) && !empty($addressId) && !empty($customer_id)){
                     $customerdetails = DB::table('customer_address_entity')->where('parent_id',$customer_id)->where('entity_id',$addressId)->update(['firstname'=>"$firstname", 'lastname'=>"$lastname", 'street'=>"$street", 'city'=>"$city", 'region'=>"$state", 'postcode'=>"$zip", 'telephone'=>"$phone", 'building_name'=>"$building_no", 'flat_no'=>"$flat_no", 'landmark'=>"$landmark"]);
                 } else {
                     Flash::error('Required Fields Must.');
                     return redirect()->back();
                 }
            }
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('updated successfully.');

        return redirect()->back();
    }
}