<?php

namespace App\Http\Controllers;

use App\Repositories\OrderRepository;
use App\Repositories\PaymentRepository;
use App\Repositories\MarketRepository;
use App\Repositories\UserRepository;
use Illuminate\Http\Request;
use DB;
use Carbon\Carbon;
use \stdClass;
class DashboardController extends Controller
{

    /** @var  OrderRepository */
    private $orderRepository;


    /**
     * @var UserRepository
     */
    private $userRepository;

    /** @var  MarketRepository */
    private $marketRepository;
    /** @var  PaymentRepository */
    private $paymentRepository;

    public function __construct(OrderRepository $orderRepo, UserRepository $userRepo, PaymentRepository $paymentRepo, MarketRepository $marketRepo)
    {
        parent::__construct();
        $this->orderRepository = $orderRepo;
        $this->userRepository = $userRepo;
        $this->marketRepository = $marketRepo;
        $this->paymentRepository = $paymentRepo;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
         $date = Carbon::now();
        // $ordersCount = $this->orderRepository->count();
        $membersCount = $this->userRepository->count();
        $marketsCount = $this->marketRepository->count();
        $domain_address_code = session('domain_address_setup');  
        if(empty($domain_address_code)){
            $domain_address_code='JO';
        }
        $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
        $implode=array();
        foreach($sqlcountry as $value){
        $store_id=explode(',',$value->store_id);
        if(in_array('0',$store_id)){
         $stores=DB::select("SELECT scope_id FROM `core_config_data` WHERE path='general/country/destinations' and scope='stores' and value='$domain_address_code'");  
         $scope_id=array();
         foreach($stores as $value1){
             array_push($scope_id,$value1->scope_id);
         }
         //print_r($scope_id);
         $storesgroup=DB::select("SELECT GROUP_CONCAT(store_id SEPARATOR ',') as store_id,store_group.group_id FROM `store` INNER JOIN store_group ON store.group_id=store_group.group_id WHERE store_id!='0' group by store_group.group_id");  
         $store_id1=array();
         foreach($storesgroup as $value2){
             $store_ids=explode(',',$value2->store_id);
             if(in_array($store_ids[0],$scope_id)){
             array_push($store_id1,$store_ids[0]);
             }
         }
         $implode=$store_id1;
        }else{
         $implode=explode(',',$value->store_id);  
        }
        }
        
        // $stre_val = implode(',',$implode);
        // $store = DB::select("SELECT DISTINCT * FROM store_group WHERE group_id !=0 and default_store_id IN($stre_val) ORDER BY group_id DESC");
        $totalstoreCount = DB::table('store_group')->where('group_id','!=','0')->whereIn('default_store_id', $implode)->orderBy('group_id','DESC')->count();
        $vehicle = DB::table('vehicle')->where('status','!=','0')->where('country_code','=',$domain_address_code)->count();
        $driver = DB::table('users')->where('role_id','=','driver')->where('country','=',$domain_address_code)->count();
        
        
        $imp = implode(', ',$implode); 
        $order_id_value = DB::select("SELECT DISTINCT sales_order.picker_id, sales_order.driver_id, sales_order.increment_id, sales_order_item.order_id, sales_order_item.delivery_dates FROM sales_order INNER JOIN sales_order_item on sales_order_item.order_id=sales_order.entity_id WHERE sales_order_item.delivery_dates=CURRENT_DATE AND sales_order.store_id IN($imp) AND sales_order.status NOT IN('payment_review','canceled','closed', 'payment_pending', 'pending') ORDER BY sales_order_item.order_id DESC");
        $ordersCount = DB::table('sales_order')->leftJoin('sales_stock', 'sales_order.entity_id', '=', 'sales_stock.order_id')->leftJoin('store', 'store.store_id', '=', 'sales_order.store_id')->leftJoin('store_group', 'store_group.group_id', '=', 'store.group_id')->leftJoin('order_statuses', 'order_statuses.id', '=', 'sales_order.order_status_id')->groupBy('sales_order.entity_id')->select('sales_order.*','order_statuses.status as orstatus','store_group.name as storename',DB::raw("SUM(sales_stock.qty) as outofstockqty"))->whereIn('sales_order.store_id',$implode)->whereNotIn('sales_order.status',['payment_review','canceled','closed', 'payment_pending', 'pending'])->get()->count();
        $markets = $this->marketRepository->limit(4)->get();
        $earning = $this->paymentRepository->all()->sum('price');
        $ajaxEarningUrl = route('payments.byMonth',['api_token'=>auth()->user()->api_token]);
//        dd($ajaxEarningUrl);
       
            //   $getsalesorder = DB::table('sales_order as o')
            // ->join('sales_order_item as s', 's.order_id', '=', 'o.entity_id')
            // ->select('o.driver_id','o.entity_id','o.picker_id','o.delivery_dates','s.order_id','o.increment_id')
            // ->where('o.delivery_dates',date('Y-m-d'))
            // ->distinct('s.order_id')
            // ->get();
            $salesorder=[];
           $notification = DB::table('notification_alert')->where('created_at',$date->toDateString())->get();
          for($i=0;$i<count($order_id_value);$i++){
            
              $sales = new stdClass; 
			  $drivers= DB::table('users')->where('id',$order_id_value[$i]->driver_id)->first();
	
			  $pickers= DB::table('users')->where('id',$order_id_value[$i]->picker_id)->first();
			  $sales->order_id = isset($order_id_value[$i]->order_id)?$order_id_value[$i]->order_id:"0";
			 $sales->increment_id=$order_id_value[$i]->increment_id;
              $sales->drivername = isset($drivers->name)?$drivers->name:"-";
              $sales->pickername =isset($pickers->name)?$pickers->name:"-";
            $sales->dates =$order_id_value[$i]->delivery_dates;
             $salesorder[]=$sales;
            
          }
          $date=date("Y-m-d");
          $product_add_or_updatedate = DB::table('catalog_product_entity')->where('product_add_or_updatedate','=',$date)->count();
          $inventory = DB::table('catalog_product_entity')->where('update_inventory_date','=',$date)->count();
          $price = DB::table('erp_price')->where('product_updated_date','=',$date)->count();
          
         return view('dashboard.index')
            ->with("notification",count($notification))
            ->with("ajaxEarningUrl", $ajaxEarningUrl)
            ->with("ordersCount", $ordersCount)
            ->with("marketsCount", $marketsCount)
            ->with("markets", $markets)
            ->with("membersCount", $membersCount)
            ->with("earning", $earning)
            ->with("driver",$driver)
            ->with("vehicle",$vehicle)
            ->with('orderDetails', $salesorder)
            ->with('productadd', $product_add_or_updatedate)
            ->with('price', $price)
            ->with('inventory', $inventory)
            ->with('totalstoreCount', $totalstoreCount);
            //->with('driverName', $driverName);
    }
}
