<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class DriverassignController extends Controller
{
     public function country(){
         $domain_address_code = session('domain_address_setup');
         if(empty($domain_address_code)){
            $domain_address_code='JO';
         }
         $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
         $countryy  = array();
         $s1 = 0;
         foreach($sqlcountry as $country){
            $explode1=explode(',',$country->store_id);
            $countrycode=$country->value;
            $store_id1=isset($explode1[0]) ? $explode1[0] :'';
            $stores1=DB::select("SELECT code FROM store WHERE store_id='$store_id1'");
            $codeurl=isset($stores1[0]->code) ? $stores1[0]->code : '';
            $msp_tfa_country_codes=DB::select("SELECT name FROM msp_tfa_country_codes WHERE code='$countrycode'");
            $countryname=isset($msp_tfa_country_codes[0]->name) ? $msp_tfa_country_codes[0]->name : '';
            $countryy[$s1]['country_name'] = $countryname;
            $countryy[$s1]['country_code'] = $countrycode;
            $s1++;
        }
        return $countryy;
    }
    public function index()
    {
         $countryy = $this->country();
         $country_code = $countryy[0]['country_code'];
         $driverassign = DB::table('driver_assign')->orderBy('id','DESC')->where('country_code','=',$country_code)->paginate(10);
         $vehicle = DB::table('vehicle')->where('country_code','=',$country_code)->where('status','=','1')->orderBy('id','DESC')->paginate(10);
         $store = DB::table('store_group')->where('group_id','!=','0')->get();
        $driver = DB::table('users')->where('role_id','=','driver')->where('country','=',$country_code)->orderBy('id','DESC')->paginate(10);
         return view('driver_assign/index', ['driverassign' => $driverassign,'vehicle'=>$vehicle,'store'=>$store,'driver' => $driver
      ,'country'=>$countryy]);
    }
    public function create()
    {
        $countryy = $this->country();
        $country_code = $countryy[0]['country_code'];
        $store = DB::table('store_group')->where('group_id','!=','0')->get();
        $vehicle = DB::table('vehicle')->orderBy('id','DESC')->where('country_code','=',$country_code)->where('status','=','1')->paginate(10);
        $driver = DB::table('users')->where('role_id','=','driver')->where('country','=',$country_code)->orderBy('id','DESC')->paginate(10);
        return view('driver_assign.create',['store'=>$store,'vehicle'=>$vehicle,'driver'=>$driver, 'country'=>$countryy]);
        
    }
    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
           $date_added	= date('Y-m-d H:i:s');
           $implodestoreid = implode(', ', $request->store_id);
      DB::table('driver_assign')->insert(['store_id'=>$implodestoreid,'country_code'=>$request->country_code,'vehicle_id'=>$request->vehicle_id,'driver_id'=>$request->driver_id,'status'=>$request->status,'created'=>$date_added]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('driver_assign.index'));
    }

    /**
     * Display the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        $driverassign = DB::table('driver_assign')->orderBy('id','DESC')->paginate(10);
         return view('driver_assign/index', ['driverassign' => $driverassign
      ]);
    }

    public function loginAsUser(Request $request, $id)
    {
        $user = $this->VehicleRepository->findWithoutFail($id);
        if (empty($user)) {
            Flash::error('User not found');
            return redirect(route('users.index'));
        }
        auth()->login($user, true);
        if (auth()->id() !== $user->id) {
            Flash::error('User not found');
        }
        return redirect(route('users.profile'));
    }

    /**
     * Show the form for editing the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('driver_assign.index'));
        }
       
	
	    $countryy = $this->country();
        $country_code = $countryy[0]['country_code'];
        
	    $result = array();		
		$result['message'] = array();
		
		$editdriverassign = DB::table('driver_assign')->where('id','=',$id)->where('country_code','=',$country_code)->get();
		$institution_id=isset($editdriverassign[0]->store_id) ? $editdriverassign[0]->store_id : '';	
		$result['editdriverassign'] = $editdriverassign;		
		$store = DB::table('store_group')->where('group_id','!=','0')->get();
		$result['store'] = $store;
		$driver = DB::table('users')->where('country','=',$country_code)->where('role_id','=','driver')->orderBy('id','DESC')->paginate(10);
			$result['driver'] = $driver;
	   $vehicle = DB::table('vehicle')->where('country_code','=',$country_code)->where('status','=','1')->orderBy('id','DESC')->paginate(10);
	   $result['vehicle'] = $vehicle;
        if (empty($editdriverassign)) {
            Flash::error('Driver Assign not found');

            return redirect(route('driver_assign.index'));
        }
        
        return view("driver_assign.edit",['editdriverassign' => $editdriverassign, 'country'=>$countryy])->with('result',$result);
        
    }

    /**
     * Update the specified User in storage.
     *
     * @param int $id
     * @param UpdateUserRequest $request
     *
     * @return Response
     */
    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

        $assign = DB::table('driver_assign')->where('id','=',$id)->get();
        $store = DB::table('store_group')->where('group_id','!=','0')->get();
        $driver = DB::table('users')->where('role_id','=','driver')->orderBy('id','DESC')->paginate(10);
         $vehicle = DB::table('vehicle')->where('status','=','1')->orderBy('id','DESC')->paginate(10);
        if (empty($assign)) {
            Flash::error('Driver assign not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
         $implodestoreid = implode(', ', $request->store_id);
		DB::table('driver_assign')->where('id','=',$id)->update(['store_id'=>$implodestoreid,'country_code'=>$request->country_code,'vehicle_id'=>$request->vehicle_id,'driver_id'=>$request->driver_id,'status'=>$request->status,'modified'=>$last_modified]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('Driver Assign updated successfully.');

        return redirect()->back();

    }

    /**
     * Remove the specified User from storage.
     *
     * @param int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $assign=DB::table('driver_assign')->where('id','=',$id)->get();
		
        if (empty($assign)) {
            Flash::error('Driver Assign not found');

            return redirect(route('driver_assign.index'));
        }

        DB::table('driver_assign')->where('id','=',$id)->delete();

        Flash::success('Driver Assign deleted successfully.');

        return redirect(route('driver_assign.index'));
    }

    /**
     * Remove Media of User
     * @param Request $request
     */
    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
