<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class HelpandsupportController extends Controller
{
    public function index()
    {
         $helpandsupport = DB::table('helpandsupport')->orderBy('id','DESC')->paginate(10);
         return view('helpandsupport/index', ['helpandsupport' => $helpandsupport,
      ]);
    }
    public function create()
    {
        return view('helpandsupport.create');
        
    }

    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
           $date_added	= date('Y-m-d H:i:s');
      DB::table('helpandsupport')->insert(['address'=>$request->address,'email'=>$request->email,'mobile_no'=>$request->mobile_no,'status'=>$request->status,'created'=>$date_added]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('helpandsupport.index'));
    }
    public function show($id)
    {
    }

    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('helpandsupport.index'));
        }
       
	    $result = array();		
		$result['message'] = array();
		
		$edithelp = DB::table('helpandsupport')->where('id','=',$id)->get();
		$result['edithelp'] = $edithelp;		
	
        if (empty($edithelp)) {
            Flash::error('not found');

            return redirect(route('helpandsupport.index'));
        }
        
        return view("helpandsupport.edit",['edithelp' => $edithelp])->with('result',$result);
        
    }

    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

        $locations = DB::table('helpandsupport')->where('id','=',$request->id)->get();
        if (empty($locations)) {
            Flash::error('not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
		DB::table('helpandsupport')->where('id','=',$id)->update(['address'=>$request->address,'email'=>$request->email,'mobile_no'=>$request->mobile_no,'status'=>$request->status,'modified'=>$last_modified]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('updated successfully.');

        return redirect()->back();

    }

    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $locations=DB::table('helpandsupport')->where('id','=',$id)->get();
		
        if (empty($locations)) {
            Flash::error('not found');

            return redirect(route('helpandsupport.index'));
        }

        DB::table('helpandsupport')->where('id','=',$id)->delete();

        Flash::success('deleted successfully.');

        return redirect(route('helpandsupport.index'));
    }

    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
