<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;
use URL;

class MobileCircleCategoryController extends Controller
{
     public function index()
    {
         $mobile_category = DB::table('mobile_circle_category')->orderBy('position','DESC')->paginate(10);
         return view('mobilecirclecategory/index', ['mobile_category' => $mobile_category
      ]);
    }

    /**
     * Show the form for creating a new User.
     *
     * @return Response
     */
    public function create()
    {
        $categories = DB::table('catalog_category_entity')->join('catalog_category_entity_varchar','catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->select('catalog_category_entity.entity_id as id', 'catalog_category_entity_varchar.value as name')->where('catalog_category_entity_varchar.attribute_id','=','45')->where('catalog_category_entity.entity_id','!=',2)->where('catalog_category_entity.entity_id','!=',1)->where('catalog_category_entity_varchar.store_id','=',0)->get();
        
        $categories_ar = DB::table('catalog_category_entity')->join('catalog_category_entity_varchar','catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->select('catalog_category_entity.entity_id as id', 'catalog_category_entity_varchar.value as name')->where('catalog_category_entity_varchar.attribute_id','=','45')->where('catalog_category_entity.entity_id','!=',2)->where('catalog_category_entity.entity_id','!=',1)->where('catalog_category_entity_varchar.store_id','=',58)->get();
        
        return view('mobilecirclecategory.create',['categories'=>$categories, 'categories_ar'=>$categories_ar]);
        
    }



    /**
     * Store a newly created User in storage.
     *
     * @param CreateUserRequest $request
     *
     * @return Response
     */
    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
        $date_added	= date('Y-m-d H:i:s');
        $pos = DB::table('mobile_circle_category')->where('position','=',$request->position)->where('status','=','1')->get();
        if(count($pos)>0) {
                Flash::error('Already This Position Allocated Please Try Different One.');
                return redirect(route('mobilecirclecategory.create'))->withInput();
        }
        
        $file_en = $_FILES['image_en']['name'];
        $file_ar = $_FILES['image_ar']['name'];
        $image1_en;
        if($file_en !="") {
            $this->validate($request, [
                'image_en' => 'required|image|mimes:jpeg,png,jpg,gif|max:5048',
            ]);
            
            request()->image_en->move(public_path('images/mobile_circle_images'), $file_en);
            $image1_en = $file_en;
        } else {
            $image1_en = "default.jpg";
        }
        $image1_ar;
        if($file_ar !="") {
            $this->validate($request, [
                'image_ar' => 'required|image|mimes:jpeg,png,jpg,gif|max:5048',
            ]);
            
            request()->image_ar->move(public_path('images/mobile_circle_images'), $file_ar);
            $image1_ar = $file_ar;
        } else {
            $image1_ar = "default.jpg";
        }
            
        $img_url_en = URL::to('/')."/images/mobile_circle_images/".$image1_en;
        $img_url_ar = URL::to('/')."/images/mobile_circle_images/".$image1_ar;
        
      $category=$request->category_id;
       $category_ar=$request->category_id_ar;
      
      $categories_english = DB::table('catalog_category_entity')->join('catalog_category_entity_varchar','catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->select('catalog_category_entity_varchar.value as name')->where('catalog_category_entity_varchar.attribute_id','=','45')->where('catalog_category_entity.entity_id','!=',2)->where('catalog_category_entity.entity_id','!=',1)->where('catalog_category_entity_varchar.store_id','=',0)->where('catalog_category_entity.entity_id','=',$category)->get();
      
      $title_en = isset($categories_english[0]->name)? $categories_english[0]->name : "";
      
      $categories_arabic = DB::table('catalog_category_entity')->join('catalog_category_entity_varchar','catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->select('catalog_category_entity_varchar.value as name')->where('catalog_category_entity_varchar.attribute_id','=','45')->where('catalog_category_entity.entity_id','!=',2)->where('catalog_category_entity.entity_id','!=',1)->where('catalog_category_entity_varchar.store_id','=',58)->where('catalog_category_entity.entity_id','=',$category_ar)->get();
      
      $title_ar = isset($categories_arabic[0]->name)? $categories_arabic[0]->name : "";
      
      DB::table('mobile_circle_category')->insert(['title_en'=>$title_en,'title_ar'=>$title_ar,'category_id'=>$category,'category_id_ar'=>$category_ar,'status'=>$request->status,'created'=>$date_added,'img_en'=>$image1_en,'img_ar'=>$image1_ar,'full_image_en'=>$img_url_en,'full_image_ar'=>$img_url_ar,'position'=>$request->position]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('mobilecirclecategory.index'));
    }

    /**
     * Display the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        $user = $this->VehicleRepository->findWithoutFail($id);

        if (empty($user)) {
            Flash::error('User not found');

            return redirect(route('mobilecirclecategory.index'));
        }

        return view('settings.users.profile')->with('user', $user);
    }

    public function loginAsUser(Request $request, $id)
    {
        $user = $this->VehicleRepository->findWithoutFail($id);
        if (empty($user)) {
            Flash::error('User not found');
            return redirect(route('users.index'));
        }
        auth()->login($user, true);
        if (auth()->id() !== $user->id) {
            Flash::error('User not found');
        }
        return redirect(route('users.profile'));
    }

    /**
     * Show the form for editing the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('labels.index'));
        }
       
	    $result = array();		
		$result['message'] = array();
		
		$editlabel = DB::table('mobile_circle_category')->where('id','=',$id)->get();
		$result['editlabel'] = $editlabel;		
		$categories = DB::table('catalog_category_entity')->join('catalog_category_entity_varchar','catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->select('catalog_category_entity.entity_id as id', 'catalog_category_entity_varchar.value as name')->where('catalog_category_entity_varchar.attribute_id','=','45')->where('catalog_category_entity.entity_id','!=',2)->where('catalog_category_entity.entity_id','!=',1)->where('catalog_category_entity_varchar.store_id','=',0)->get();
		$result['categories'] = $categories;
		
		$categories_ar = DB::table('catalog_category_entity')->join('catalog_category_entity_varchar','catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->select('catalog_category_entity.entity_id as id', 'catalog_category_entity_varchar.value as name')->where('catalog_category_entity_varchar.attribute_id','=','45')->where('catalog_category_entity.entity_id','!=',2)->where('catalog_category_entity.entity_id','!=',1)->where('catalog_category_entity_varchar.store_id','=',58)->get();
		$result['categories_ar'] = $categories_ar;
        if (empty($editlabel)) {
            Flash::error('category not found');

            return redirect(route('category.index'));
        }
        
        return view("mobilecirclecategory.edit",['editlabel' => $editlabel])->with('result',$result);
        
    }

    /**
     * Update the specified User in storage.
     *
     * @param int $id
     * @param UpdateUserRequest $request
     *
     * @return Response
     */
    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        // if ($id != auth()->id()) {
        //     Flash::error('Permission denied');
        //     return redirect(route('users.profile'));
        // }

        try {
        
        $old_image_en = $request->old_image_name_en;
        $old_image_ar = $request->old_image_name_ar;
        $file_en = $_FILES['image_en']['name'];
        $file_ar = $_FILES['image_ar']['name'];
        
        $pos = DB::table('mobile_circle_category')->where('position','=',$request->position)->where('status','=','1')->get();
        if(count($pos)>0) {
            if($pos["0"]->id!=$id){
                Flash::error('Already This Position Allocated Please Try Different One.');
                return redirect(route('mobilecirclecategory.edit', $id));
            }
        }
        
        $image1_en;
        if($file_en !="") {
            $this->validate($request, [
                'image_en' => 'required|image|mimes:jpeg,png,jpg,gif|max:5048',
            ]);
            
            request()->image_en->move(public_path('images/mobile_circle_images'), $file_en);
            $image1_en = $file_en;
        } else {
            $image1_en = $old_image_en;
        }
        $image1_ar;
        if($file_ar !="") {
            $this->validate($request, [
                'image_ar' => 'required|image|mimes:jpeg,png,jpg,gif|max:5048',
            ]);
            
            request()->image_ar->move(public_path('images/mobile_circle_images'), $file_ar);
            $image1_ar = $file_ar;
        } else {
            $image1_ar = $old_image_ar;
        }
            
        
       $category=$request->category_id;
       $category_ar=$request->category_id_ar;
      
      $categories_english = DB::table('catalog_category_entity')->join('catalog_category_entity_varchar','catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->select('catalog_category_entity_varchar.value as name')->where('catalog_category_entity_varchar.attribute_id','=','45')->where('catalog_category_entity.entity_id','!=',2)->where('catalog_category_entity.entity_id','!=',1)->where('catalog_category_entity_varchar.store_id','=',0)->where('catalog_category_entity.entity_id','=',$category)->get();
      
      $title_en = isset($categories_english[0]->name)? $categories_english[0]->name : "";
      
      $categories_arabic = DB::table('catalog_category_entity')->join('catalog_category_entity_varchar','catalog_category_entity_varchar.entity_id', '=', 'catalog_category_entity.entity_id')->select('catalog_category_entity_varchar.value as name')->where('catalog_category_entity_varchar.attribute_id','=','45')->where('catalog_category_entity.entity_id','!=',2)->where('catalog_category_entity.entity_id','!=',1)->where('catalog_category_entity_varchar.store_id','=',58)->where('catalog_category_entity.entity_id','=',$category_ar)->get();
      
      $title_ar = isset($categories_arabic[0]->name)? $categories_arabic[0]->name : "";
        
        $last_modified=date('Y-m-d H:i:s');
        $img_url_en = URL::to('/')."/images/mobile_circle_images/".$image1_en;
        $img_url_ar = URL::to('/')."/images/mobile_circle_images/".$image1_ar;
		DB::table('mobile_circle_category')->where('id','=',$id)->update(['title_en'=>$title_en,'title_ar'=>$title_ar,'category_id'=>implode(',',$request->category_id),'category_id_ar'=>implode(',',$request->category_id_ar),'position'=>$request->position,'status'=>$request->status,'modified'=>$last_modified,'img_en'=>$image1_en,'img_ar'=>$image1_ar,'full_image_en'=>$img_url_en,'full_image_ar'=>$img_url_ar]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('Mobile Circle Category updated successfully.');

        return redirect()->back();

    }

    /**
     * Remove the specified User from storage.
     *
     * @param int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $lang_translation=DB::table('mobile_circle_category')->where('id','=',$id)->get();
		
        if (empty($lang_translation)) {
            Flash::error('category not found');

            return redirect(route('mobilecirclecategory.index'));
        }

        DB::table('mobile_circle_category')->where('id','=',$id)->delete();

        Flash::success('Mobile Circle Category deleted successfully.');

        return redirect(route('mobilecirclecategory.index'));
    }

    /**
     * Remove Media of User
     * @param Request $request
     */
    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
