<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;
use GuzzleHttp\Client;

class ProductimagedeleteController extends Controller
{
    public function index()
    {
        $date=date("Y-m-d");
         $importcategory = DB::table('productimage')->where('date','=',$date)->orderBy('id','DESC')->paginate(50);
         return view('productimagedelete/index', ['importcategory' => $importcategory
      ]);
    }

    /**
     * Show the form for creating a new User.
     *
     * @return Response
     */
    public function create()
    {
        $labels = DB::table('tolerance')->where('id','!=','0')->get();
        return view('tolerance.create',['labels'=>$labels]);
        
    }

    /**
     * Store a newly created User in storage.
     *
     * @param CreateUserRequest $request
     *
     * @return Response
     */
    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
      $date_added	= date('Y-m-d H:i:s');
      
      $fileName = $_FILES["file"]["tmp_name"]; 
    
if ($_FILES["file"]["size"] > 0) {
if (($handle = fopen($fileName, "r")) !== FALSE) {
while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
$itemcode=trim($data[0]);    
//$barcode=trim($data[1]);
$date=date("y-m-d");
if(!empty($itemcode)){
$results = DB::table('productimage')->where('barcode','=',$itemcode)->where('date','=',$date)->get();    
if(count($results)==0){
 DB::table('productimage')->insert(['barcode'=>$itemcode,'date'=>$date]);    
}else{
$id=$results[0]->id;     
DB::table('productimage')->where('id','=',$id)->update(['barcode'=>$itemcode]);
}
}
}
fclose($handle);
}
}
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('Import Product image successfully.');

        return redirect(route('productimagedelete.index'));
    }

    /**
     * Display the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        // $user = $this->VehicleRepository->findWithoutFail($id);

        // if (empty($user)) {
        //     Flash::error('User not found');

        //     return redirect(route('importcategory.index'));
        // }

        return view('settings.users.profile')->with('user', $user);
    }

 
      public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('tolerance.index'));
        }
      
	    $result = array();		
		$result['message'] = array();
		
		$edittolerance = DB::table('tolerance')->where('id','=',$id)->get();
		$result['edittolerance'] = $edittolerance;		
		
		
        if (empty($edittolerance)) {
            Flash::error('Tolerance not found');

            return redirect(route('tolerance.index'));
        }
        
        return view("tolerance.edit",['edittolerance' => $edittolerance])->with('result',$result);
        
    }

    /**
     * Update the specified User in storage.
     *
     * @param int $id
     * @param UpdateUserRequest $request
     *
     * @return Response
     */
    public function update(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
        $date=date("Y-m-d");
        $results = DB::table('productimage')->where('date','=',$date)->where('status','=','0')->limit(500)->get();  
        $auto_id='';
        if(count($results)>0){
        foreach($results as $value){
            $auto_id=isset($value->id)? $value->id : ""; 
          // $barcode=preg_replace('/[\x00-\x1F\x80-\xFF]/','',$value->barcode); 
            $itemcode=preg_replace('/[\x00-\x1F\x80-\xFF]/','',$value->barcode);
            
            $resultssku = DB::table('catalog_product_entity')->where('sku','=',$itemcode)->get(); 
            if(count($resultssku)>0){
            $entity_id=isset($resultssku[0]->entity_id)? $resultssku[0]->entity_id : "";    
            $resultsimage = DB::table('catalog_product_entity_media_gallery_value')->where('entity_id','=',$entity_id)->get(); 
           if(count($resultsimage)>0){
            foreach($resultsimage as $resultsimage1){ 
            $value_id=$resultsimage1->value_id;
            $getimage = DB::table('catalog_product_entity_media_gallery')->where('value_id','=',$value_id)->get();
            if(count($getimage)>0){
            $deleteimage=isset($getimage[0]->value)? $getimage[0]->value : "";
             
            $unlinkimage="/home/ctownlive/public_html/pub/media/catalog/product$deleteimage";
            
            $rec=DB::table('core_config_data')->where('path','=','web/secure/base_url')->first();
            $url=isset($rec->value) ? $rec->value."/api/imagedelete.php" : '';
            $client = new Client();
 $response = $client->post("$url", [
            'headers' => [
                'Content-Type' => 'application/json',
            ],
            'json' => [
                'image' => $unlinkimage,
                'sku' => $itemcode,
                'deleteimage' => $deleteimage,
                'priority' => "high"
            ],
        ]);

$result = $response->getBody()->getContents();

//$result1 = simplexml_load_string($result);
            }
            DB::table("catalog_product_entity_media_gallery_value_to_entity")->where('value_id','=',$value_id)->delete();
            DB::table("catalog_product_entity_media_gallery")->where('value_id','=',$value_id)->delete();
            DB::table("catalog_product_entity_media_gallery_value")->where('value_id','=',$value_id)->delete();
            $remarks="Product image deleted successfully.";
            DB::table('productimage')->where('id','=',$auto_id)->update(['status'=>'1','remarks'=>$remarks]);
            }
            }else{
                $remarks="Image not there";
                if($auto_id!=""){
                    DB::table('productimage')->where('id','=',$auto_id)->update(['status'=>'2','remarks'=>$remarks]);       
                    }
                }
            }else{
                $remarks="Barcode not matching.";
                if($auto_id!=""){
                    DB::table('productimage')->where('id','=',$auto_id)->update(['status'=>'2','remarks'=>$remarks]);   
                }
            }
             //Flash::success($remarks);
        }}else{
            $remarks="Barcode not matching";
            if($auto_id!=""){
                DB::table('productimage')->where('id','=',$auto_id)->update(['status'=>'2','remarks'=>$remarks]);   
            }
             //Flash::success($remarks);
        }
		
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }
        return redirect()->back();

    }

    /**
     * Remove the specified User from storage.
     *
     * @param int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $tolerance=DB::table('tolerance')->where('id','=',$id)->get();
		
        if (empty($tolerance)) {
            Flash::error('Import Category not found');

            return redirect(route('productimagedelete.index'));
        }

        // DB::table('tolerance')->where('id','=',$id)->delete();

        // Flash::success('Tolerance deleted successfully.');

        // return redirect(route('tolerance.index'));
    }
    public function multiDelete(Request $request){
        $ids = $request->ids;
        DB::table("productimage")->whereIn('id',explode(",",$ids))->delete();
        return response()->json(['success'=>"Import Product image Deleted successfully."]);
    }
    /**
     * Remove Media of User
     * @param Request $request
     */
    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
