<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use Validator;
use URL;
use DB;

class PromotionBannerController extends Controller
{
    public function index()
    {
         $page = isset($_GET["page"])? $_GET["page"] : "en";
         $promotion = DB::table('mobile_promotion_banner')->where("page",$page)->first();
        //  print_r($promotion);exit;
        $promotion_table = DB::table('mobile_promotion_banner_pdf_images')->where("lang",$page)->paginate(10);
         return view('promotion_banner/index', ['promotion_banner' => $promotion, 'page'=>$page, 'promotion_table'=>$promotion_table]);
    }
    public function create()
    {
         //$store = DB::table('store_group')->where('group_id','!=','0')->get();
         $page = isset($_GET["page"])? $_GET["page"] : "en";
        return view('promotion_banner.create',['page'=>$page]);
        
    }

    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }
        
        $page = isset($request["page"])? $request["page"] : "en";
        $pdf_page_url = isset($request["pdf_page_url"])? $request["pdf_page_url"] : "";
        $status = isset($request["status"])? $request["status"] : "";
        $file = $_FILES['image']['name'];
        $image1;
        if($file!="") {
            $this->validate($request, [
                'image' => 'required|image|mimes:jpeg,png,jpg,webp|max:5048',
            ]);
            
            request()->image->move(public_path('/images/promotion_banner/pdf_images/'.$page), $file);
            $image1 = $file;
        } else {
            $image1 = '';
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
        $img_url = URL::to('/')."/images/promotion_banner/pdf_images/".$page."/".$image1;
		DB::table('mobile_promotion_banner_pdf_images')->insert(['status'=>$request->status,'image'=>$image1, 'pdf_image'=>$img_url, 'pdf_page_url'=>$pdf_page_url,'lang'=>$page]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('promotion_banner.index')."?page=".$page);
    }
    public function show($id)
    {
    }

    public function edit($id)
    {
        if ((!auth()->user()->hasRole('admin') && !auth()->user()->hasRole('storemanager')) && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('locations.index'));
        }
        
	    $result = array();		
		$result['message'] = array();
		
		$page = isset($_GET["page"])? $_GET["page"] : "en";
		$promtion_table = DB::table('mobile_promotion_banner_pdf_images')->where('id','=',$id)->get();
		$result['promotion_banner'] = $promtion_table;
		
        if (empty($promtion_table)) {
            Flash::error('Promtion pdf image not found');

            return redirect(route('promotion_banner.index'));
        }
        
        return view("promotion_banner.edit",['promotion_table' => $promtion_table])->with('result',$result)->with('page', $page);
        
    }

    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if ((!auth()->user()->hasRole('admin') && !auth()->user()->hasRole('storemanager')) && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }
        
        $old_image = isset($request["old_image_name"])? $request["old_image_name"] : "";
        // $page_url = isset($request["page_url"])? $request["page_url"] : "";
        $status = isset($request["status"])? $request["status"] : "";
        $file = $_FILES['image']['name'];
        $image1;
        if($file!="") {
            $this->validate($request, [
                'image' => 'required|image|mimes:jpeg,png,jpg|max:5048',
            ]);
            
            request()->image->move(public_path('images/promotion_banner'), $file);
            $image1 = $file;
        } else {
            $image1 = $old_image;
        }
        $pro = DB::table('mobile_promotion_banner')->where('id','=',$request->id)->get();
        if (empty($pro)) {
            Flash::error('Promotion Banner not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
        $img_url = URL::to('/')."/images/promotion_banner/".$image1;
		// DB::table('mobile_promotion_banner')->where('id','=',$id)->update(['status'=>$request->status,'image'=>$image1, 'image_url'=>$img_url, 'page_url'=>$page_url]);
		DB::table('mobile_promotion_banner')->where('id','=',$id)->update(['status'=>$request->status,'image'=>$image1, 'image_url'=>$img_url]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('Promotion banner updated successfully.');

        return redirect()->back();

    }

    public function tablePdfDetailsUpdate($id,Request $request){
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if ((!auth()->user()->hasRole('admin') && !auth()->user()->hasRole('storemanager')) && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }
        
        $page = isset($request["page"])? $request["page"] : "en";
        $old_image = isset($request["pdf_old_image_name"])? $request["pdf_old_image_name"] : "";
        $pdf_page_url = isset($request["pdf_page_url"])? $request["pdf_page_url"] : "";
        $status = isset($request["status"])? $request["status"] : "";
        $file = $_FILES['image']['name'];
        $image1;
        if($file!="") {
            $this->validate($request, [
                'image' => 'required|image|mimes:jpeg,png,jpg,webp|max:5048',
            ]);
            
            request()->image->move(public_path('/images/promotion_banner/pdf_images/'.$page), $file);
            $image1 = $file;
        } else {
            $image1 = $old_image;
        }
        $pro = DB::table('mobile_promotion_banner_pdf_images')->where('id','=',$request->id)->get();
        if (empty($pro)) {
            Flash::error('PDF Image not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
        $img_url = URL::to('/')."/images/promotion_banner/pdf_images/".$page."/".$image1;
		DB::table('mobile_promotion_banner_pdf_images')->where('id','=',$id)->update(['status'=>$request->status,'image'=>$image1, 'pdf_image'=>$img_url, 'pdf_page_url'=>$pdf_page_url]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('Updated successfully.');

        return redirect()->back();
    }
    
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $promotion=DB::table('mobile_promotion_banner_pdf_images')->where('id','=',$id)->get();
		
        if (empty($promotion)) {
            Flash::error('Promotion Image not found');

            return redirect(route('promotion_banner.index'));
        }

        DB::table('mobile_promotion_banner_pdf_images')->where('id','=',$id)->delete();

        Flash::success('Deleted successfully.');

        return redirect()->back();
    }

    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
