<?php
namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class SmsController extends Controller
{
     public function country(){
         $domain_address_code = session('domain_address_setup');
         $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
         $countryy  = array();
         $s1 = 0;
         foreach($sqlcountry as $country){
            $explode1=explode(',',$country->store_id);
            $countrycode=$country->value;
            $store_id1=isset($explode1[0]) ? $explode1[0] :'';
            $stores1=DB::select("SELECT code FROM store WHERE store_id='$store_id1'");
            $codeurl=isset($stores1[0]->code) ? $stores1[0]->code : '';
            $msp_tfa_country_codes=DB::select("SELECT name FROM msp_tfa_country_codes WHERE code='$countrycode'");
            $countryname=isset($msp_tfa_country_codes[0]->name) ? $msp_tfa_country_codes[0]->name : '';
            $countryy[$s1]['country_name'] = $countryname;
            $countryy[$s1]['country_code'] = $countrycode;
            $s1++;
        }
        return $countryy;
    }
    public function index()
    {
         $sms=DB::table('sms_settings')->select('sms_settings.*','store_group.name')->join('store_group','store_group.group_id','=','sms_settings.store_id')->orderBy('sms_settings.id','DESC')->paginate(10);
         return view('sms/index', ['sms' => $sms]);
    }
    public function create()
    {
        $store = DB::table('store_group')->where('group_id','!=','0')->get();
        $countryy = $this->country();
        return view('sms.create',['store'=>$store, 'country'=>$countryy]);
    }

    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
      $date_added=date('Y-m-d H:i:s');
      DB::table('sms_settings')->insert(['country'=>$request->country,'store_id'=>$request->store_id,'url'=>$request->url,'country_code'=>$request->country_code,'created'=>$date_added]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');
        return redirect(route('sms.index'));
    }
    public function show($id)
    {
    }

    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('sms.index'));
        }
       
	    $result = array();		
		$result['message'] = array();
		
		$editlocations = DB::table('sms_settings')->where('id','=',$id)->get();
		$result['editsms'] = $editlocations;		
		$store = DB::table('store_group')->where('group_id','!=','0')->get();
		$result['store'] = $store;
		$countryy = $this->country();
        if (empty($editlocations)) {
            Flash::error('Sms not found');

            return redirect(route('sms.index'));
        }
        
        return view("sms.edit",['editsms' => $editlocations, 'country'=>$countryy])->with('result',$result);
    }

    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

        try {
        $last_modified=date('Y-m-d H:i:s');
		DB::table('sms_settings')->where('id','=',$id)->update(['country'=>$request->country,'store_id'=>$request->store_id,'url'=>$request->url,'country_code'=>$request->country_code,'modified'=>$last_modified]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('Sms updated successfully.');

        return redirect()->back();
    }

    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $locations=DB::table('sms_settings')->where('id','=',$id)->get();
		
        if (empty($locations)) {
            Flash::error('Sms not found');
            return redirect(route('sms.index'));
        }

        DB::table('sms_settings')->where('id','=',$id)->delete();

        Flash::success('SMS deleted successfully.');

        return redirect(route('sms.index'));
    }

    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}