@extends('layouts.app')
@push('css_lib')
<!-- iCheck -->
<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
<!-- select2 -->
<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
{{--dropzone--}}
<link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',"Category")
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('category.index') !!}"><i class="fa fa-list mr-2"></i>Category</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{!! route('category.create') !!}"><i class="fa fa-plus mr-2"></i>Add Category</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-pencil mr-2"></i>Edit Category</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => ['category.update', $editlabel[0]->id], 'method' => 'patch']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-12">
        {!! Form::label('title',"Title(English)", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            {!! Form::text('title',$editlabel[0]->title,  ['class' => 'form-control','placeholder'=> "English"]) !!}
            <div class="form-text text-muted">
                 Enter English Title
            </div>
        </div>
    </div>
     <div class="form-group row col-12">
        {!! Form::label('title',"Title(Arabic)", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            {!! Form::text('title_ar',$editlabel[0]->title_ar,  ['class' => 'form-control','placeholder'=> "Arabic"]) !!}
            <div class="form-text text-muted">
                Enter Arabic Title
            </div>
        </div>
    </div>
<div class="form-group row col-12">
        {!! Form::label('Categories','Categories', ['class' => 'col-3 control-label']) !!}
            <div class="col-7">
        <select class="form-control" name="category_id[]" id="category_id" multiple required>
        @if(count($result['categories'])>0)
        @foreach ($result['categories'] as $key=>$cate)
        <?php $explode=explode(',',$editlabel[0]->category_id);?>
        <option value="{{$cate->id}}" <?php if(in_array($cate->id,$explode)){?>selected<?php }?>>{{$cate->name}}</option>  
        @endforeach
        @endif
        </select>   
        </div>
    </div>
 <div class="form-group row col-12">
        {!! Form::label('status', trans("lang.status"), ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
             <select class="form-control" name="status" id="status">
                                        <option value="1" @if($result['editlabel'][0]->status=="1")
                                              selected  @endif>Active</option>  
                                        <option value="0" @if($result['editlabel'][0]->status=="0")
                                              selected  @endif>InActive</option> 
                                        </select>
            <div class="form-text text-muted">
                {{ trans("lang.status") }}
            </div>
        </div>
    </div>

</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}} {{trans('lang.labels')}}</button>
    <a href="{!! route('category.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush