@extends('layouts.app')
@push('css_lib')
  <!-- iCheck -->
  <link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
  <!-- select2 -->
  <link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
  {{--dropzone--}}
  <link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',trans('lang.labeldesc_table'))
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('contact_details.index') !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.contact_details_table')}}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.contact_details_create')}}</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => 'contact_details.store']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-6">
        {!! Form::label('phone_number', trans("lang.contact_details_description_en"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('phone_number', null,  ['class' => 'form-control','placeholder'=>  trans("lang.contact_details_description_en_placeholder"),"required"=>"true"]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.contact_details_description_en_placeholder") }}
            </div>
        </div>
    </div>
<div class="form-group row col-6">
        {!! Form::label('email_id', trans("lang.contact_details_description_ar"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('email_id', null,  ['class' => 'form-control','placeholder'=>  trans("lang.contact_details_description_ar_placeholder"),"required"=>"true"]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.contact_details_description_ar_placeholder") }}
            </div>
        </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('country', trans("lang.contact_details_country"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            <select class="form-control" required="true" onchange="storeList(this.value , '');" name="country_code" id="country">
                @if(count($country)>0)
                @foreach ($country as $key=>$conty)
                <option value="{{$conty['country_code']}}">{{$conty['country_name']}}</option>  
                @endforeach
                @endif
            </select>   
            <div class="form-text text-muted">
                {{ trans("lang.contact_details_country") }}
            </div>
        </div>
    </div>
    <div class="form-group row col-6">
       {!! Form::label('store_id', trans("lang.store_name"), ['class' => 'col-5 control-label text-right']) !!}
          <div class="col-7">
                            <select class="form-control" required="true" name="store_id" id="store_id">
                                <option value="">Please Select Country</option>
                            </select>  
            <div class="form-text text-muted">
                {{ trans("lang.contact_details_store") }}
            </div>
        </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('status', trans("lang.status"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            <select class="form-control" required="true" name="status" id="status">
            <option value="1">Active</option>  
            <option value="0">InActive</option> 
            </select>
            <div class="form-text text-muted">
                {{ trans("lang.status") }}
            </div>
        </div>
    </div>
</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}} {{trans('lang.contact_details_labeldesc')}}</button>
    <a href="{!! route('contact_details.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
// Store value get    
$(document).ready(function(){
    var country = $('#country').val();
    storeList(country, '', '');
});
</script>
@endpush