@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.contact_details_plural')}}<small class="ml-3 mr-3">|</small><small>{{trans('lang.contact_details_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('contact_details.index') !!}">{{trans('lang.contact_details_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.contact_details_table')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.contact_details_table')}}</a>
        </li>
        @can('locations.create')
        <li class="nav-item">
          <a class="nav-link" href="{!! route('contact_details.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.contact_details_create')}}</a>
        </li>
        @endcan
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Phone Number</th>
                                  <th>Email Id</th>
                                  <th>Country</th>
                                  <th>Store Name</th>
                                  <th>Status</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($contact_details)>0)
                    @foreach ($contact_details as $key=>$contact)
                              <tr>
                                  <th scope="row">{{ $contact->id }}</th>
                                  <td>{{ $contact->phone_number }}</td>
                                  <td>{{ $contact->email_id }}</td>
                                  <td>
                                  @if(count($country)>0)
                                  @foreach ($country as $key=>$country1) 
                                  @if($contact->country==$country1['country_code'])
                                        {{$country1['country_name']}}
                                  @endif
                                  @endforeach
                                  @endif
                                  </td>
                                  <td>{{ $contact->name }}</td>
                                  <td>
                                    @if($contact->active=="1")  
                                     Active
                                      @else
                                       InActive 
                                      @endif
                                      </td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="contact_details/edit/{{ $contact->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="contact_details/destroy/{{ $contact->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$contact_details->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection