@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Feedback<small class="ml-3 mr-3">|</small><small>Feedback</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('feedback.index') !!}">Feedback</a>
          </li>
          <li class="breadcrumb-item active">Feedback List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>Feedback List</a>
        </li>
        <!--@can('feedback.create')-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('feedback.create') !!}"><i class="fa fa-plus mr-2"></i>Add Feedback</a>-->
        <!--</li>-->
        <!--@endcan-->
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Name</th>
                                  <th>Mobile Number</th>
                                   <th>Subject</th>
                                  <th>Feedback</th>
                                  <th>Status</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($feedback1)>0)
                    @foreach ($feedback1 as $key=>$feedback)
                              <tr>
                                  <th scope="row">{{ $feedback->id }}</th>
                                  <td>{{ $feedback->name }}</td>
                                  <td>{{ $feedback->mobile_no }}</td>
                                  <td>{{ $feedback->subject }}</td>
                                  <td>{{ $feedback->feedback }}</td>
                                  <td>
                                     @if(count($feedback_status)>0)
                                        @foreach ($feedback_status as $key=>$feedback_status1) 
                                          @if($feedback->status==$feedback_status1->status_id)
                                 {{$feedback_status1->status_code}}
                                          @endif
                                       @endforeach
                                    @endif
                                 </td>
                                 <td>{{ $feedback->created }}</td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="feedback/edit/{{ $feedback->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="feedback/destroy/{{ $feedback->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$feedback1->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection