@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.locationdetails_plural')}}<small class="ml-3 mr-3">|</small><small>{{trans('lang.locationdetails_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('location_details.index') !!}">{{trans('lang.locationdetails_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.locationdetails_table')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.locationdetails_table')}}</a>
        </li>
        @can('location_details.create')
        <li class="nav-item">
          <a class="nav-link" href="{!! route('location_details.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.locationdetails_create')}}</a>
        </li>
        @endcan
      </ul>
      <div class="float-right">
        <form action="{{ route('location_details.index') }}" method="GET">
           <div class="input-group input-group-md">
                <input type="search" onchange="return trim(this)" onclick="return trim(this)" style="width: 22rem;" value="<?php echo isset($_GET["search"])? $_GET["search"] : '' ?>" name="search" class="form-control" placeholder="City and Area Name Search" aria-label="Search">
            <div class="input-group-append">
                <button class="input-group-text" style="cursor:pointer" type="submit"><i class="fa fa-search"></i></button>
            </div>
          </div>
        </form>
      </div>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Country</th>
                                  <th>Store Name</th>
                                  <th>City Name</th>
                                   <th>Area</th>
                                    <th>Latitude</th>
                                     <th>Longitude</th>
                                     <th>Delivery Charge</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                              <?php 
                                $multiple_store_name_get = '';
                              ?>
                    @if(count($locationdetails)>0)
                    @foreach ($locationdetails as $key=>$loc)
                     <?php 
                        $multiple_store_name_get = explode(', ', $loc->locdec_store_id);
                    ?>
                              <tr>
                                  <th scope="row">{{ $loc->locdec_id }}</th>
                                  <td>
                                 <!--@if(count($country)>0)-->
                                 <!--   @foreach ($country as $key=>$country1) -->
                                 <!--     @if($loc->country_code==$country1['country_code'])-->
                                 <!--       {{$country1['country_name']}}-->
                                 <!-- @endif-->
                                 <!-- @endforeach-->
                                 <!-- @endif-->
                                 {{ $loc->country_code }}
                                 </td>
                                  <td>
                                    <?php 
                                         $store_value = array();
                                    ?>
                                   @if(count($store)>0)
                                  @foreach ($store as $key=>$store1) 
                                      @if(in_array($store1->group_id, $multiple_store_name_get))
                                        <?php 
                                          array_push($store_value, $store1->name);
                                         ?>
                                      @endif
                                  @endforeach
                                  @endif
                                  <?php 
                                    $stre_val = implode(', ',$store_value);
                                    echo $stre_val;
                                  ?>
                                 </td>
                                  <td>
                                    {{$loc->name}}
                                 </td>
                                  <td>{{ $loc->area_name }}</td>
                                   <td>{{ $loc->latitude }}</td>
                                    <td>{{ $loc->longitude }}</td>
                                  <td>{{$loc->delivery_charge}}</td>
                                  <td><?php if(empty($loc->modified)){?>
                                      <p>{{ $loc->created }}</p>
                                  <?php } else {?><p>{{ $loc->modified }}</p><?php }?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="location_details/edit/{{ $loc->locdec_id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="location_details/destroy/{{ $loc->locdec_id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$locationdetails->appends($_GET)->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection

<script>
    // remove unwanted spaces
function trim (el) {
    el.value = el.value.
       replace (/(^\s*)|(\s*$)/gi, ""). // removes leading and trailing spaces
       replace (/[ ]{2,}/gi," ").       // replaces multiple spaces with one space 
       replace (/\n +/,"\n");           // Removes spaces after newlines
    return;
}
</script>