@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Section<small class="ml-3 mr-3">|</small><small>Section</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('mobile_section.index') !!}">Section</a>
          </li>
          <li class="breadcrumb-item active">Section List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>Section List</a>
        </li>
        @can('mobile_section.create')
        <li class="nav-item">
          <a class="nav-link" href="{!!route('mobile_section.editssection',$id) !!}"><i class="fa fa-plus mr-2"></i>Add Section</a>
        </li>
        @endcan
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  
                                  <th>Section Name</th>
                                  <th>Category ID</th>
                                   <th>image url</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($section)>0)
                    @foreach ($section as $key=>$label)
                              <tr>
                                 
                                    <td>{{ $label->section_name }}</td>
                                   <td>{{ $label->category_id }}</td>
                                  <td>
                                      <p>{{ $label->image_url }}</p>
                                  </td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="/deliveryapp/public/mobile_section/editssection/{{ $label->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="/deliveryapp/public/mobile_section/sectiondestroy/{{ $label->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection