@extends('layouts.app')
@push('css_lib')
  <!-- iCheck -->
  <link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
  <!-- select2 -->
  <link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
  {{--dropzone--}}
  <link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',"Category")
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('category.index') !!}"><i class="fa fa-list mr-2"></i>Category List</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-plus mr-2"></i>Add Category</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
  
           {!! Form::open(['route' => ['mobile_section.sectionstore', $section[0]->id], 'method' => 'patch', 'files'=>true]) !!}
          
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-12">
        {!! Form::label('title',"Section Name", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            {!! Form::text('title', $section[0]->section_name,  ['class' => 'form-control','placeholder'=>"Title"  ]) !!}
            
        </div>
    </div>
        <div class="form-group row col-12">
        {!! Form::label('title',"Category id", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            {!! Form::text('cat_id', $section[0]->category_id,  ['class' => 'form-control','placeholder'=>"Title"  ]) !!}
            
        </div>
    </div>
   
        <div class="form-group row col-12">
        {!! Form::label('title',"Upload Image", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
        {!! Form::file('image') !!}
            
        </div>
    </div>
  
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}}</button>
    <a href="{!! route('category.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush