@extends('layouts.app')
@push('css_lib')
  <!-- iCheck -->
  <link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
  <!-- select2 -->
  <link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
  {{--dropzone--}}
  <link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',"Category")
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('mobilecirclecategory.index') !!}"><i class="fa fa-list mr-2"></i>Category List</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-plus mr-2"></i>Add Category</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => ['mobilecirclecategory.store'], 'enctype' => 'multipart/form-data']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <!--<div class="form-group row col-12">-->
    <!--    {!! Form::label('title_en',"Title(English)", ['class' => 'col-3 control-label']) !!}-->
    <!--    <div class="col-7">-->
    <!--        <?php $titleEn = isset($_POST["title_en"]) ? $_POST["title_en"] : ''; ?>-->
    <!--        {!! Form::text('title_en', $titleEn,  ['class' => 'form-control','placeholder'=>"English",'required'=>"true"]) !!}-->
    <!--        <div class="form-text text-muted">-->
    <!--            Enter English Title-->
    <!--        </div>-->
    <!--    </div>-->
    <!--</div>-->
    <!--<div class="form-group row col-12">-->
    <!--    {!! Form::label('title_ar',"Title(Arabic)", ['class' => 'col-3 control-label']) !!}-->
    <!--    <div class="col-7">-->
    <!--        <?php $titleAr = isset($_POST["title_ar"]) ? $_POST["title_ar"] : ''; ?>-->
    <!--        {!! Form::text('title_ar', $titleAr,  ['class' => 'form-control','placeholder'=>"Arabic", 'required'=>"true"]) !!}-->
    <!--        <div class="form-text text-muted">-->
    <!--            Enter Arabic Title-->
    <!--        </div>-->
    <!--    </div>-->
    <!--</div>-->
    <div class="form-group row col-12">
        {!! Form::label('img_en',"Image(English)", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            <div class="form-group">
            <!--<label for="image">Promotion Banner Image</label><br>-->
            <input type="file" required name="image_en" id="image" />
          </div>
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('img_ar',"Image(Arabic)", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            <div class="form-group">
            <!--<label for="image">Promotion Banner Image</label><br>-->
            <input type="file" required name="image_ar" id="image" />
          </div>
        </div>
    </div>
     <div class="form-group row col-12">
        {!! Form::label('category_id','Categories(English)', ['class' => 'col-3 control-label']) !!}
            <div class="col-7">
        <select class="form-control" name="category_id" id="category_id" required>
        @if(count($categories)>0)
        @foreach ($categories as $key=>$cate)
        <option value="{{$cate->id}}" {{old ('category_id') == $cate->id ? 'selected' : ''}}>{{$cate->name}}</option>  
        @endforeach
        @endif
        </select>   
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('category_id_ar','Categories(Arabic)', ['class' => 'col-3 control-label']) !!}
            <div class="col-7">
        <select class="form-control" name="category_id_ar" id="category_id_ar" required>
        @if(count($categories_ar)>0)
        @foreach ($categories_ar as $key=>$cate_ar)
        <option value="{{$cate_ar->id}}" {{old ('category_id_ar') == $cate_ar->id ? 'selected' : ''}}>{{$cate_ar->name}}</option>  
        @endforeach
        @endif
        </select>   
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('position',"Position", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            <?php $posti = isset($_POST["position"]) ? $_POST["position"] : ''; ?>
            {!! Form::number('position',$posti,  ['class' => 'form-control','placeholder'=> "Position", "required"=>"true"]) !!}
            <div class="form-text text-muted">
                Enter Position
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('status', trans("lang.status"), ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            <select class="form-control" required name="status" id="status">
            <option value="1">Active</option>  
            <option value="0">InActive</option> 
            </select>
            <div class="form-text text-muted">
                {{ trans("lang.status") }}
            </div>
        </div>
    </div>
</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}}</button>
    <a href="{!! route('mobilecirclecategory.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush