@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.notification_plural')}}<small class="ml-3 mr-3">|</small><small>{{trans('lang.notification_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('notifications.index') !!}">{{trans('lang.notification_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.notification_table')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.notification_table')}}</a>
        </li>
        <!--@can('notifications.create')-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('notifications.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.notification_create')}}</a>-->
        <!--</li>-->
        <!--@endcan-->
      
      </ul>
      <form action="{{ route('notification.notifications_read') }}" method="get">
        <button type="submit" class="btn btn-primary float-right">Read All</button>
      </form>
    </div>
    <div class="card-body">
        <div class="table-responsive">
                        <table class="table" id="editorder">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Title</th>
                                    <th>Message</th>
                                    <th>Date</th>
                                    
                                </tr>
                            </thead>
                    <tbody id="productlist">
                      
                        @if(count($notification)>0)
                        @foreach ($notification as $key=>$label)
                                <tr id="orginal_tr<?php echo $key; ?>">
                                   
                                    <td>{{ $key + 1 }}</td>
                                    <td>{{ $label->title }}</td>
                                    <td>{{ $label->message }}</td>
                                    <td>{{ $label->created_date }}</td>
                                </tr>
                                @endforeach
                        @else
                        <tr>
                                <td colspan="6">No record found!</td>
                        </tr>

                        @endif

                            </tbody>
                                
                        </table>
                        <div class="col-xs-12 pull-right">
              
                    </div>
                    </div>
        <div class="clearfix"></div>
        </div>
  </div>
</div>
@endsection

