@extends('layouts.app')
@push('css_lib')
  <!-- iCheck -->
  <link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
  <!-- select2 -->
  <link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
  {{--dropzone--}}
  <link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title','Payment Setup')
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('payment.index') !!}"><i class="fa fa-list mr-2"></i>Payment Setup</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-plus mr-2"></i>Add Payment Setup</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => 'payment.store']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-6">
        {!! Form::label('Payment Cut-Off Amount','Payment Cut-Off Amount', ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::number('cutoff_amount', null,  ['class' => 'form-control','placeholder'=>  "Payment Cut-Off Amount",'required' => 'required']) !!}
            <div class="form-text text-muted">
                CutOff Amount
            </div>
        </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('Type','Type', ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            <select class="form-control" name="type">
            <option value="greaterthan">Greaterthan</option>  
            <option value="lessthan">Lessthan</option> 
            <option value="greaterthanequal">Greaterthan or Equal</option>
            <option value="lessthanequal">Lessthan or Equal</option>
            <option value="equal">Equal</option>
            </select>
            <div class="form-text text-muted">
                Type
            </div>
        </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('Amount Type','Amount Type', ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            <select class="form-control" name="amount_type">
            <option value="percentage">percentage</option>  
            <option value="fixedamount">fixed amount</option> 
            </select>
            <div class="form-text text-muted">
               Amount Type
            </div>
        </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('Amount','Amount', ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::number('amount', null,  ['class' => 'form-control','placeholder'=>"Amount",'required' => 'required']) !!}
            <div class="form-text text-muted">
               Amount
            </div>
        </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('status', trans("lang.status"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            <select class="form-control" name="status" id="status">
            <option value="1">Active</option>  
            <option value="0">InActive</option> 
            </select>
            <div class="form-text text-muted">
                {{ trans("lang.status") }}
            </div>
        </div>
    </div>
</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}}</button>
    <a href="{!! route('payment.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush