@extends('layouts.app')
<meta name="csrf-token" content="{{ csrf_token() }}">
@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Import<small class="ml-3 mr-3">|</small><small>Product Image</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('productimagedelete.index') !!}">Import Product Image</a>
          </li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>Import Product Image</a>
        </li>
      </ul>
    </div>
    {!! Form::open(['route' => 'productimagedelete.store','class'=>'form-horizontal','enctype'=>'multipart/form-data']) !!}
                <div class="input-row" style="margin: 50px;">
                    <label class="col-md-4 control-label">Choose CSV
                        File</label> <input type="file" name="file"
                        id="file" accept=".csv">
                    <button type="submit" id="submit" name="import"
                        class="btn-submit">Import</button>
                    <br />

                </div>

     {!! Form::close() !!}
    <div class="card-body">
        <button type="button" id="multiDelteAll" data-url="{{ url('productimagedeleteDeleteAll') }}" class="btn-submit btn-danger float-right mb-2 ml-2 multi_delete_all">Delete</button>
        <button type="button" id="selectAll" class="btn-submit btn-primary float-right mb-2 ml-2">Select All</button>
          {!! Form::open(['route' => 'productimagedelete.update','class'=>'form-horizontal','enctype'=>'multipart/form-data']) !!}
                <div class="input-row">
                    <button type="submit" id="submit" name="import"
                        class="btn-submit btn-primary float-right mb-2">Update</button>
                    <br />
                </div>

     {!! Form::close() !!}
       <div class="table-responsive">
           <p style="color:red;">500 Barcode upload one shot</p>
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Barcode</th>
                                  <th>Status</th>
                                  <th>Remarks</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($importcategory)>0)
                    @foreach ($importcategory as $key=>$category)
                              <tr>
                                  <th scope="row">{{ $category->id }}</th>
                                  <td>{{ $category->barcode }}</td>
                                  <td><?php if($category->status==0){
                                  echo "Pending";
                                  }else if($category->status==1){
                                  echo "Updated";
                                  }else{
                                  echo "Not Updated";
                                  }?></td>
                                  <td>{{ $category->remarks }}</td>
                                  <td>
                                      <div class="btn-group btn-group-sm">
                                           <input type="checkbox" name="multiple_import_delete_value[]" class="btn-check mt-2 mr-2 sub_chk" data-id="{{$category->id}}" value="<?= $category->id; ?>" id="multipleDeleteSelectValue">
                                          <!--<button type="button" id="deleteImportCategory" onclick="deleteImportCategory(<?= $category->id; ?>);" name="import" class="btn-sm btn-danger">Delete</button>-->
                                      </div>
                                  </td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="8">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$importcategory->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection
@push('scripts_lib')
    <!-- iCheck -->
   <script src = "https://code.jquery.com/jquery-1.10.2.js"></script>
      <script src = "https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>
    <script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
    <!-- select2 -->
    <script src="{{asset('plugins/select2/select2.min.js')}}"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
    {{--dropzone--}}
    <script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
    <script type="text/javascript">
        Dropzone.autoDiscover = false;
        var dropzoneFields = [];
    </script>
    <link href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css" rel="stylesheet" />
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script>
// function deleteImportCategory(deleteImportId){
//     if (confirm('Are you sure you want to delete this?')) {
//         // console.log(deleteImportId);
//         $.ajax({
//                  url: "https://online.ajmanmarkets.ae/api/importcategorydelete.php",
//                  type: 'POST',
//                  data: {
//                   "import_category_id" : deleteImportId,
//                  },
//                  success: function(dataa) {
//                     //  alert(dataa);
//                     // console.log(dataa);
//                     data = JSON.parse(dataa);
//                     // console.log(data);
//                     if(data.success == 1){
//                         alert(data.message);
//                         location.reload();
//                     } else {
//                         alert(data.message);
//                     }
//                  }
//         });
//     }
// }

//Multi Select Option
$(document).ready(function () {
  $('body').on('click', '#selectAll', function () {
    if ($(this).hasClass('allChecked')) {
        $('#selectAll').html('Select All');
        $('input[type="checkbox"]', '#example1').prop('checked', false);
    } else {
        $('#selectAll').html('Unselect All');
        $('input[type="checkbox"]', '#example1').prop('checked', true);
    }
    $(this).toggleClass('allChecked');
  });
  
$('.multi_delete_all').on('click', function(e) {
            var allVals = [];  
            $(".sub_chk:checked").each(function() {  
                allVals.push($(this).attr('data-id'));
            });  
// console.log(allVals);
            if(allVals.length <=0)  
            {  
                alert("Please Select Atleast One Field.");  
            }  else {  
                var check = confirm("Are you sure you want to delete this row?");  
                if(check == true){  
                    var join_selected_values = allVals.join(","); 
                    $.ajax({
                        url: $(this).data('url'),
                        type: 'DELETE',
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        data: 'ids='+join_selected_values,
                        success: function (data) {
                            console.log(data);
                            if (data['success']) {
                                $(".sub_chk:checked").each(function() {  
                                    $(this).parents("tr").remove();
                                });
                                $('#selectAll').html('Select All');
                                alert(data['success']);
                            } else if (data['error']) {
                                alert(data['error']);
                            } else {
                                alert('Whoops Something went wrong!!');
                            }
                        },
                        error: function (data) {
                            alert(data.responseText);
                        }
                    });

                  $.each(allVals, function( index, value ) {
                      $('table tr').filter("[data-row-id='" + value + "']").remove();
                  });
                }  
            }  
        });
});
</script>
@endpush