@extends('layouts.app')
@push('css_lib')
<!-- iCheck -->
<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
<!-- select2 -->
<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
{{--dropzone--}}
<link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',"Sms Settings")
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('sms.index') !!}"><i class="fa fa-list mr-2"></i>SMS</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{!! route('sms.create') !!}"><i class="fa fa-plus mr-2"></i>Add SMS</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-pencil mr-2"></i>SMS Edit</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => ['sms.update', $editsms[0]->id], 'method' => 'patch']) !!}
<div class="row">
<div class="row">
    <!-- Name Field -->
    <div class="form-group row col-12">
          {!! Form::label('country', 'Country Name', ['class' => 'col-5 control-label text-right']) !!}
          <div class="col-7">
          <select class="form-control" required="true" onchange="storeList(this.value , '')" name="country" id="country">
            @if(count($country)>0)
            @foreach ($country as $key=>$conty)
            <option value="{{$conty['country_code']}}" @if($editsms[0]->country==$conty['country_code'])
                    selected  @endif>{{$conty['country_name']}}</option>  
            @endforeach
            @endif
                </select>  
            </div>
    </div>
     <div class="form-group row col-12">
        {!! Form::label('store_id', trans("lang.store_name"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            <select class="form-control" required="true" name="store_id" id="store_id">
                <option value="">Please Select Country</option>
            </select>  
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('url',"Url", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('url', $editsms
[0]->url,  ['class' => 'form-control','placeholder'=>"Url"]) !!}
            <div class="form-text text-muted">
                Sms Url
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('country_code',"Country Code", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::number('country_code', $editsms
[0]->country_code,  ['class' => 'form-control','placeholder'=>"Country Code"]) !!}
            <div class="form-text text-muted">
                Country Code
            </div>
        </div>
    </div>
    
</div>
</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}}</button>
    <a href="{!! route('sms.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="https://code.jquery.com/jquery-1.10.1.min.js">
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
// Store value get
$(document).ready(function(){ 
    var country = $('#country').val();
    var storeId = "<?= $editsms[0]->store_id ?>";
    storeList(country, storeId);
});
</script>
@endpush