@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.store_plural')}}<small class="ml-3 mr-3">|</small><small>{{trans('lang.store_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('store.index') !!}">{{trans('lang.store_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.store_table')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.store_table')}}</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Store Code</th>
                                  <th>Store Name</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($store)>0)
                    @foreach ($store as $key=>$store1)
                              <tr>
                                  <th scope="row">{{ $store1->group_id }}</th>
                                  <td>{{ $store1->code }}</td>
                                 <td>{{ $store1->name }}</td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$store->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection